package m05bSolicitudReserva_ValidacionEJB;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

import m05bBD.m05bSolicitudReserva_Validacion;

/**
 * This class is the Bean Implementation for the Entity EJB <tt>M05SolicitudReserva_ValidacionEB</tt>.
 *
 * @see     m05.exe.SolicitudReserva_Validacion
 * @see     m05.exe.M05SolicitudReserva_ValidacionEB
 * @see     m05.exe.M05SolicitudReserva_ValidacionEBPK
 * @see     m05.exe.M05SolicitudReserva_ValidacionEBHome
 */
abstract public class m05SolicitudReserva_ValidacionBean implements EntityBean {
  private EntityContext ctx;

  /**
   * This is the primary key.
   * It is the clave, which is the primary key
   * in table <tt>m05102t00</tt>.
   */

  /**
   * Returns the Personal information of this E-EJB.
   */
  public m05bSolicitudReserva_Validacion getSolicitudReserva_Validacion() {

    m05bSolicitudReserva_Validacion SolicitudReserva_Validacion = new m05bSolicitudReserva_Validacion();
    
    SolicitudReserva_Validacion.setIdSolicitud(getIdSolicitud());
    SolicitudReserva_Validacion.setCodValidador(getCodValidador());
    SolicitudReserva_Validacion.setFechaValidacion(getFechaValidacion());
    SolicitudReserva_Validacion.setEstado(getEstado());
    SolicitudReserva_Validacion.setMotivo(getMotivo());
    SolicitudReserva_Validacion.setNotas(getNotas());
    SolicitudReserva_Validacion.setObservaciones(getObservaciones());
    SolicitudReserva_Validacion.setCodDestino(getCodDestino());
    SolicitudReserva_Validacion.setDestinoOtros(getDestinoOtros());
    SolicitudReserva_Validacion.setMail_enviado(getMailEnviado());
    SolicitudReserva_Validacion.setDni(getDni());
    SolicitudReserva_Validacion.setNombre_apellidos(getNombre_apellidos());
    SolicitudReserva_Validacion.setOrigen(getOrigen());
    SolicitudReserva_Validacion.setSituacion(getSituacion());
    SolicitudReserva_Validacion.setValidacionPosterior(getValidacionPosterior());

    return SolicitudReserva_Validacion;
  }

  /**
   * Sets the SolicitudReserva_Validacion information of this E-EJB.
   * @exception P2GException 
   *              If the given Personal <tt>per_dni</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */
  public void setSolicitudReserva_Validacion(m05bSolicitudReserva_Validacion SolicitudReserva_Validacion) throws Exception {
    //the primary key is never modified!!
    if (!(getIdSolicitud().intValue() == SolicitudReserva_Validacion.getIdSolicitud().intValue()
    		&& getCodValidador().equals(SolicitudReserva_Validacion.getCodValidador())))
    	throw new CreateException ("Cannot modify a different Solicitud reserva_Validacion");
    
    setFechaValidacion(SolicitudReserva_Validacion.getFechaValidacion());
    setEstado(SolicitudReserva_Validacion.getEstado());
    setMotivo(SolicitudReserva_Validacion.getMotivo());
    setNotas(SolicitudReserva_Validacion.getNotas());
    setObservaciones(SolicitudReserva_Validacion.getObservaciones());
    setCodDestino(SolicitudReserva_Validacion.getCodDestino());
    setDestinoOtros(SolicitudReserva_Validacion.getDestinoOtros());
    setMailEnviado(SolicitudReserva_Validacion.getMail_enviado());
    setDni(SolicitudReserva_Validacion.getDni());
    setNombre_apellidos(SolicitudReserva_Validacion.getNombre_apellidos());
    setOrigen(SolicitudReserva_Validacion.getOrigen());
    setSituacion(SolicitudReserva_Validacion.getSituacion());
    setValidacionPosterior(SolicitudReserva_Validacion.getValidacionPosterior());
  }


  abstract public Integer getIdSolicitud();
  abstract public void setIdSolicitud(Integer n);

  abstract public String getCodValidador();
  abstract public void setCodValidador(String n);

  abstract public String getFechaValidacion();
  abstract public void setFechaValidacion(String n);
  
  abstract public String getEstado();
  abstract public void setEstado(String n);
  
  abstract public String getMotivo();
  abstract public void setMotivo(String n);

  abstract public String getNotas();
  abstract public void setNotas(String n);

  abstract public String getObservaciones();
  abstract public void setObservaciones(String n);
  
  abstract public String getCodDestino();
  abstract public void setCodDestino(String n);
  
  abstract public String getDestinoOtros();
  abstract public void setDestinoOtros(String n);
  
  abstract public String getMailEnviado();
  abstract public void setMailEnviado(String n);
  
  abstract public String getDni();
  abstract public void setDni(String n);
  
  abstract public String getNombre_apellidos();
  abstract public void setNombre_apellidos(String n);

  abstract public String getOrigen();
  abstract public void setOrigen(String n);
  
  abstract public String getSituacion();
  abstract public void setSituacion(String n);

  abstract public String getValidacionPosterior();
  abstract public void setValidacionPosterior(String n);


  public void ejbActivate() { }

  public void ejbPassivate() { }

  public void setEntityContext(EntityContext ctx) {
	  this.ctx = ctx;
  }

  public void unsetEntityContext() {
	  this.ctx = null;
  }

  public void ejbLoad() { }

  public void ejbStore() { }

  public void ejbRemove() throws RemoveException  { }

  /**
   * This function initializes the Personal
   * information of this E-EJB
   * It assigns a new primary key to the Personal.
   */
  public m05SolicitudReserva_ValidacionPK ejbCreate(m05bSolicitudReserva_Validacion SolicitudReserva_Validacion) throws CreateException
  {
    try {
    	setIdSolicitud(getIdSolicitud());
    	setCodValidador(getCodValidador());
    	setEstado(getEstado());
    } catch (Exception e) {
      throw new CreateException (e.getMessage());
    }

    setFechaValidacion(SolicitudReserva_Validacion.getFechaValidacion());
    setMotivo(SolicitudReserva_Validacion.getMotivo());
    setNotas(SolicitudReserva_Validacion.getNotas());
    setObservaciones(SolicitudReserva_Validacion.getObservaciones());
    setCodDestino(SolicitudReserva_Validacion.getCodDestino());
    setDestinoOtros(SolicitudReserva_Validacion.getDestinoOtros());
    setMailEnviado(SolicitudReserva_Validacion.getMail_enviado());
    setDni(SolicitudReserva_Validacion.getDni());
    setNombre_apellidos(SolicitudReserva_Validacion.getNombre_apellidos());
    setOrigen(SolicitudReserva_Validacion.getOrigen());
    setSituacion(SolicitudReserva_Validacion.getSituacion());
    setValidacionPosterior(SolicitudReserva_Validacion.getValidacionPosterior());

    return null;
  }
  
  public void ejbPostCreate(m05bSolicitudReserva_Validacion SolicitudReserva_Validacion) { }
}